use wasm_bindgen::prelude::*;
use magic_crypt::{new_magic_crypt, MagicCryptTrait};

// Hacky implementation for a wasm file to en- and decrypt files

#[wasm_bindgen]
pub fn encrypt(password: &str, plain_base64: &str) -> String {
    let crypt = new_magic_crypt!(password, 256);
    let encrypted_base64 = crypt.encrypt_str_to_base64(plain_base64);
    return encrypted_base64;
}

#[wasm_bindgen]
pub fn decrypt(password: &str, encrypted_base64: &str) -> String {
    let crypt = new_magic_crypt!(password, 256);
    let plain_base64 = crypt.decrypt_base64_to_string(encrypted_base64);
    return plain_base64.unwrap();
}